Api referenceRoutesClients

Inspect a client process

Inspects one existing daemon-managed client process. Prefer this when a client id is already known; it does not launch a new client.

GET
/clients/{id}

Inspects one existing daemon-managed client process. Prefer this when a client id is already known; it does not launch a new client.

Response Body

application/json

application/json

curl -X GET "https://example.com/clients/{id}"
{  "id": "string",  "instance": {    "id": "string",    "version": {      "id": "string"    },    "loader": "string",    "files": {      "root": "string",      "gameRoot": "string",      "runtimeRoot": "string",      "cache": "string",      "mods": "string",      "config": "string",      "saves": "string",      "resourcePacks": "string",      "shaderPacks": "string",      "screenshots": "string",      "logs": "string",      "artifacts": "string"    }  },  "profile": {    "kind": "string",    "name": "string"  },  "presentation": {    "window": "NONE",    "audio": "MUTED"  },  "state": "string"}
{  "code": "string",  "message": "string"}